ldns_struct_zone Struct Reference

DNS Zone. More...

`#include <zone.h>`

## Data Fields

ldns_rr * | _soa
| the soa defines a zone
ldns_rr_list * | _rrs

## Detailed Description

DNS Zone.

A list of RR's with some extra information which comes from the SOA RR Note: nothing has been done to make this efficient (yet).

Definition at line 42 of file zone.h.

## Field Documentation

## _soa

ldns_rr* ldns_struct_zone::_soa

the soa defines a zone

Definition at line 45 of file zone.h.

## _rrs

ldns_rr_list* ldns_struct_zone::_rrs

Definition at line 47 of file zone.h.